package com.jxml.quick.util.qjml4;

import com.jxml.quick.QBiModal;
import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMTargetClass extends QGBase implements QGBaseIntf, QBiModal {

    public String text;


    public QMTargetClass() {
    }

    public QMTargetClass(String text) {
        this.text = text;
    }

    public String getQText() {
        return(text);
    }

    public void setQText(String text) {
        this.text = text;
    }

    public void cvt()
	throws SAXException
    {
	startElement("targetClass");
	addStringContent(text);
	endElement("targetClass");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element targetClass");
        pw.println(indent + "text = " + text);
    }

}
